Mailing List Archive

MythTV on Raspberry Pi Raspbian Stretch
I have committed changes to the code to support the new Stretch version
of Raspbian.

Stuart - please can you update ansible to reflect changes in build
dependencies when building on stretch -
- use libcec4-dev instead of libcec-dev
- add libtool-bin and libxcb-shm0-dev

Also note - IMPORTANT - after installing raspbian stretch run these
sudo apt update
sudo apt dist-upgrade
sudo rpi-update

Without the rpi-update in particular, MythTV does not work.

Run time dependencies - add libcec4, libtag1v5, python-future,
python-requests, python-requests-cache

I committed to master and fixes/29. I am mulling whether to cherry-pick
into fixes/0.28.

I have not yet tested the plugins with stretch. I am not a user of
plugins so my testing is rather superficial.

Peter
_______________________________________________
mythtv-dev mailing list
mythtv-dev@mythtv.org
http://lists.mythtv.org/mailman/listinfo/mythtv-dev
http://wiki.mythtv.org/Mailing_List_etiquette
MythTV Forums: https://forum.mythtv.org
Re: MythTV on Raspberry Pi Raspbian Stretch [ In reply to ]
On 28/08/17 17:15, Peter Bennett wrote:
> I have committed changes to the code to support the new Stretch version
> of Raspbian.
>
> Stuart - please can you update ansible to reflect changes in build
> dependencies when building on stretch -
> - use libcec4-dev instead of libcec-dev

libcec-dev was already libcec v4, in fact there was no libcec4-dev
on my raspbian strech.

i did however add libcec-platform-dev which we needed on ubuntu.

> - add libtool-bin and libxcb-shm0-dev

libtool-bin was already being pulled in
libxcb-shm0-dev has been added
>
> Also note - IMPORTANT - after installing raspbian stretch run these
> sudo apt update
> sudo apt dist-upgrade
> sudo rpi-update
>
> Without the rpi-update in particular, MythTV does not work.
>
> Run time dependencies - add libcec4, libtag1v5, python-future,
> python-requests, python-requests-cache
>

libcec4, same as above
libtag1v5 was already installed and as i understand it is pulled
in as a dependency of the generic libtag package
python-* added.

Changeset:
https://github.com/MythTV/ansible/commit/a2e164f3082105dbf05fad9d375cd952f50c22eb


Regards
Stuart

> I committed to master and fixes/29. I am mulling whether to cherry-pick
> into fixes/0.28.
>
> I have not yet tested the plugins with stretch. I am not a user of
> plugins so my testing is rather superficial.
>
> Peter

_______________________________________________
mythtv-dev mailing list
mythtv-dev@mythtv.org
http://lists.mythtv.org/mailman/listinfo/mythtv-dev
http://wiki.mythtv.org/Mailing_List_etiquette
MythTV Forums: https://forum.mythtv.org